package com.reyun.model;

import com.google.common.collect.Lists;

import java.util.List;

/**
 * Created by nolan on 26/12/2016.
 * description:
 */
public class ReportChartResult extends ReportResult {
    private List<Object[]> val;

    private List<String> israte;

    private List<String> dealtype;
    
    private List<String> reportname;
    
    private List<String> desc;

    private List<String> keyId;
    /**
     * *******************************************
     */
    private List<Object> subval = Lists.newArrayList();
    private Object subtotalval;

    public List<Object[]> getVal() {
        return val;
    }

    public void setVal(List<Object[]> val) {
        this.val = val;
    }

    public List<String> getIsrate() {
        return israte;
    }

    public void setIsrate(List<String> israte) {
        this.israte = israte;
    }

    public List<Object> getSubval() {
        return subval;
    }

    public void setSubval(List<Object> subval) {
        this.subval = subval;
    }

    public Object getSubtotalval() {
        return subtotalval;
    }

    public void setSubtotalval(Object subtotalval) {
        this.subtotalval = subtotalval;
    }

    public List<String> getDealtype() {
        return dealtype;
    }

    public void setDealtype(List<String> dealtype) {
        this.dealtype = dealtype;
    }

	public List<String> getReportname() {
		return reportname;
	}

	public void setReportname(List<String> reportname) {
		this.reportname = reportname;
	}

	public List<String> getDesc() {
		return desc;
	}

	public void setDesc(List<String> desc) {
		this.desc = desc;
	}

    public List<String> getKeyId() {
        return keyId;
    }

    public void setKeyId(List<String> keyId) {
        this.keyId = keyId;
    }
}
